Fetch all Service Reminder

This endpoint retrieves a list of all service reminders recorded in the system. It supports optional filtering based on various criteria (e.g., date range, entityIds, service type etc.) and pagination for efficient handling of large datasets.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
uuid

The unique Azuga ID of the Service Reminder.

uuid

The unique Azuga ID of the entity(vehicle/asset) to be associated with service reminder.

string

Filter by specific entities. Accepts a comma-separated string of valid UUIDs.

string

Name of the entity(vehicle/asset) to be associated with the service reminder.

enum

Filter reminders by criteria type. Acceptable values: DAYS, MILEAGE, ENGINERUNTIME.

Allowed:
string
enum

Filter reminders by status. Acceptable values: SCHEDULED, UPCOMING, OVERDUE.

Allowed:
uuid

Service type id associated with service reminder.

string

Filter reminders by associated service type name(s). Pass a JSON-encoded array of service names.

uuid

Group id associated with service reminder.

string

Group name associated with service reminder.

string
enum

Status of the record. Acceptable values are "Active", "Deleted", "Archived", "Draft".

Allowed:
uuid

The unique Azuga ID of the User who created the record.

string

Name of the user who created the service reminder.

date-time

Start time to get the list of service reminders from/after the entered time. Note: 'endTime' must be provided when using 'startTime'.

date-time

End time to get the list of service reminders on/before the entered time. Note: 'startTime' must be provided when using 'endTime'.

string
length ≥ 1

General search term (minimum length = 1). When searchColumn is not provided, searches across all searchable columns.

string
enum

Specific column to search in. Optional; when provided, restricts search to the specified column only.

Allowed:
string
enum

Specify sorting direction. Defaults to ASC when not provided.

Allowed:
string
enum

Specific column to apply sorting on. Defaults to createdAt when not provided.

Allowed:
integer
Defaults to 50

Maximum number of items to return.

integer
Defaults to 0

Starting position of the data set.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json